"use client";
import ItemUser from "./ItemUser";

function Comment({ comments, doctor }) {
  if (!comments?.length) {
    return (
      <p className="text-[#7E7E7E] text-[14px] font-normal mt-4">
        هنوز نظری برای این پزشک ثبت نشده است.
      </p>
    );
  }

  return (
    <ul className="flex flex-col comment-list !pl-2.5 justify-start max-h-[492px] overflow-auto items-start gap-12 mt-2">
      {comments.map((item) => (
        <ItemUser key={item.uuid} data={item} doctor={doctor} />
      ))}
    </ul>
  );
}

export default Comment;
